### Function

# Gdk.keyval_name

#### Declaration [src]

    const char*
    gdk_keyval_name (
      guint keyval
    )

#### Description [src]

Converts a key value into a symbolic name.

The names are the same as those in the `gdk/gdkkeysyms.h` header file but without the leading “GDK_KEY_”.

#### Parameters

`keyval` | `guint`
| a key value

#### Return value

Returns: `const char*`
a string containing the name of the key, or `NULL` if `keyval` is not a valid key. The string should not be modified.
Ownership is not transferred to the caller
Can be `NULL`
The string is a NUL terminated UTF-8 string